Page MenuHomePhabricator

merge: introduce a clean_update() for that use-case
ClosedPublic

Authored by martinvonz on Jan 15 2020, 8:21 PM.

Details

Summary

I find it hard to understand what value to pass for all the arguments
to merge.update(). I would like to introduce functions that are more
specific to each use-case. We already have graft(). This patch
introduces a clean_update() and uses it in some places to show that
it works.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

martinvonz created this revision.Jan 15 2020, 8:21 PM
marmoute requested changes to this revision.Feb 5 2020, 6:28 PM
marmoute added a subscriber: marmoute.
marmoute added inline comments.
mercurial/merge.py
2600

The idea is great (I also always scratch my head at merge.update. However can we can some solide documentation about what this function does ?

This revision now requires changes to proceed.Feb 5 2020, 6:28 PM
martinvonz updated this revision to Diff 19929.Feb 6 2020, 2:11 AM
martinvonz marked an inline comment as done.Feb 6 2020, 2:12 AM
martinvonz added inline comments.
mercurial/merge.py
2600

Oh, of course we should. I added a sentence. I'm not sure if you consider that solid. Let me know what's missing otherwise.

marmoute accepted this revision.Feb 6 2020, 3:47 AM
martinvonz marked an inline comment as done.Feb 6 2020, 5:20 PM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.